Type to search.

List the attached snapshot repositories

Base URL
https://api.elastic-cloud.com/api/v1
No auth

Lists all the snapshot repositories this deployment has access to. These are snapshot repositories of other deployments that have been linked to this deployment.

Path parameters

deployment_id string required

Identifier for the Deployment

ref_id string required

User-specified RefId for the Resource (or '_main' if there is only one)

Responses

List of snapshot repositories for this deployment

application/json
repositories object[] required

List of snapshot repositories (other deployments whose snapshots this deployment can access)

cluster_id string required

Elasticsearch cluster id

deployment_id string

Deployment id

deployment_name string

Deployment name

repository_name string required

The name of the snapshot repository in Elasticsearch (e.g. _clone_abcd1234)